### Function

# Vte get_user_shell

#### Declaration [src]

    char*
    vte_get_user_shell (
      void
    )

#### Description [src]

Gets the user’s shell, or `NULL`. In the latter case, the system default (usually “/bin/sh”) should be used.

#### Return value

Type: `char*`

A newly allocated string with the user’s shell, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.